package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Log Alert Email (This config applies to the log site view)
 */
@ApiModel(description = "Log Alert Email (This config applies to the log site view)")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class LogAlertEmailOpenApiVo   {
  @JsonProperty("alertEmailEnable")
  private Boolean alertEmailEnable;

  @JsonProperty("delayEnable")
  private Boolean delayEnable;

  @JsonProperty("delay")
  private Integer delay;

  public LogAlertEmailOpenApiVo alertEmailEnable(Boolean alertEmailEnable) {
    this.alertEmailEnable = alertEmailEnable;
    return this;
  }

  /**
   * Log Enable or Disable email
   * @return alertEmailEnable
  */
  @ApiModelProperty(value = "Log Enable or Disable email")


  public Boolean getAlertEmailEnable() {
    return alertEmailEnable;
  }

  public void setAlertEmailEnable(Boolean alertEmailEnable) {
    this.alertEmailEnable = alertEmailEnable;
  }

  public LogAlertEmailOpenApiVo delayEnable(Boolean delayEnable) {
    this.delayEnable = delayEnable;
    return this;
  }

  /**
   * Log Enable or Disable delay email
   * @return delayEnable
  */
  @ApiModelProperty(value = "Log Enable or Disable delay email")


  public Boolean getDelayEnable() {
    return delayEnable;
  }

  public void setDelayEnable(Boolean delayEnable) {
    this.delayEnable = delayEnable;
  }

  public LogAlertEmailOpenApiVo delay(Integer delay) {
    this.delay = delay;
    return this;
  }

  /**
   * Time of Log delay email (unit:s). The value should be within the range of 0–99999.
   * @return delay
  */
  @ApiModelProperty(value = "Time of Log delay email (unit:s). The value should be within the range of 0–99999.")


  public Integer getDelay() {
    return delay;
  }

  public void setDelay(Integer delay) {
    this.delay = delay;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LogAlertEmailOpenApiVo logAlertEmailOpenApiVo = (LogAlertEmailOpenApiVo) o;
    return Objects.equals(this.alertEmailEnable, logAlertEmailOpenApiVo.alertEmailEnable) &&
        Objects.equals(this.delayEnable, logAlertEmailOpenApiVo.delayEnable) &&
        Objects.equals(this.delay, logAlertEmailOpenApiVo.delay);
  }

  @Override
  public int hashCode() {
    return Objects.hash(alertEmailEnable, delayEnable, delay);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LogAlertEmailOpenApiVo {\n");
    
    sb.append("    alertEmailEnable: ").append(toIndentedString(alertEmailEnable)).append("\n");
    sb.append("    delayEnable: ").append(toIndentedString(delayEnable)).append("\n");
    sb.append("    delay: ").append(toIndentedString(delay)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

